Skip to navigation

List entries

List notebook entries

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt:desc

Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of an Entry. Restricts results to those with the specified name.
projectIdstringOptional
ID of a project. Restricts results to those in the project.
archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived entries. Use “ANY_ARCHIVED” to filter for archived entries regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

reviewStatusenumOptional

Restrict results to those with the given review status. Supported statuses: IN_PROGRESS, ACCEPTED, REJECTED, NEEDS_REVIEW, RETRACTED

Allowed values:
mentionedInstringOptional

Comma-separated list of entry IDs. Restricts results to those mentioned within the entries in this list.

mentionsstringOptional

Comma-separated list of resource IDs. Restricts results to entries that mention the given items.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

schemaIdstringOptional
ID of a schema. Restricts results to those of the specified schema.
names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

assignedReviewerIds.anyOfstringOptional

Comma-separated list of ids. Restricts results to entries that have assignees of any of the specified ids.

creatorIdsstringOptional
Comma separated list of users IDs.
authorIds.anyOfstringOptional
Comma separated list of user or app IDs. Maximum of 100.
displayIdsstringOptional

Comma-separated list of Entry Display IDs.

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: “entries.days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “entries.days.notes.text” will return the same model as “entries.days.notes”.

Response

Returns a list of entries. Entries are notes that users can take. They’re organized by “days” (which are user-configurable) and modeled within each day as a list of “notes.” Each note has a type - the simplest is a “text” type, but lists, tables, and external files are also supported.

Note: the current Entry resource has a few limitations:

  • Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented.
  • Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate.

Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.

entrieslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error